Waiting Rooms
WaitingRooms
Methods
Lists waiting rooms for account or zone.
Fetches a single configured waiting room.
Creates a new waiting room.
Updates a configured waiting room.
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Waiting Rooms Write
Path param: Identifier.
Body param: The host name to which the waiting room will be applied (no wildcards). Please do not include the scheme (http:// or https://). The host and path combination must be unique.
Body param: A unique name to identify the waiting room. Only alphanumeric characters, hyphens and underscores are allowed.
Body param: Sets the number of new users that will be let into the route every minute. This value is used as baseline for the number of users that are let in per minute. So it is possible that there is a little more or little less traffic coming to the route based on the traffic patterns at that time around the world.
Body param: Sets the total number of active user sessions on the route at a point in time. A route is a combination of host and path on which a waiting room is available. This value is used as a baseline for the total number of active user sessions on the route. It is possible to have a situation where there are more or less active users sessions on the route based on the traffic patterns at that time around the world.
Body param: Only available for the Waiting Room Advanced subscription. Additional hostname and path combinations to which this waiting room will be applied. There is an implied wildcard at the end of the path. The hostname and path combination must be unique to this and all other waiting rooms.
Body param: Configures cookie attributes for the waiting room cookie. This encrypted cookie stores a user's status in the waiting room, such as queue position.
Body param: Appends a '_' + a custom suffix to the end of Cloudflare Waiting Room's cookie name(__cf_waitingroom). If cookie_suffix is "abcd", the cookie name will be __cf_waitingroom_abcd. This field is required if using additional_routes.
Body param: Only available for the Waiting Room Advanced subscription. This is a template html file that will be rendered at the edge. If no custom_page_html is provided, the default waiting room will be used. The template is based on mustache ( https://mustache.github.io/ ). There are several variables that are evaluated by the Cloudflare edge:
- {{
waitTimeKnown}} Acts like a boolean value that indicates the behavior to take when wait time is not available, for instance when queue_all is true. - {{
waitTimeFormatted}} Estimated wait time for the user. For example, five minutes. Alternatively, you can use: - {{
waitTime}} Number of minutes of estimated wait for a user. - {{
waitTimeHours}} Number of hours of estimated wait for a user (Math.floor(waitTime/60)). - {{
waitTimeHourMinutes}} Number of minutes above thewaitTimeHoursvalue (waitTime%60). - {{
queueIsFull}} Changes to true when no more people can be added to the queue.
To view the full list of variables, look at the cfWaitingRoom object described under the json_response_enabled property in other Waiting Room API calls.
Body param: The language of the default page template. If no default_template_language is provided, then en-US (English) will be used.
Body param: A note that you can use to add more details about the waiting room.
Body param: Only available for the Waiting Room Advanced subscription. Disables automatic renewal of session cookies. If true, an accepted user will have session_duration minutes to browse the site. After that, they will have to go through the waiting room again. If false, a user's session cookie will be automatically renewed on every request.
Body param: A list of enabled origin commands.
Body param: Only available for the Waiting Room Advanced subscription. If true, requests to the waiting room with the header Accept: application/json will receive a JSON response object with information on the user's status in the waiting room as opposed to the configured static HTML page. This JSON response object has one property cfWaitingRoom which is an object containing the following fields:
inWaitingRoom: Boolean indicating if the user is in the waiting room (always true).waitTimeKnown: Boolean indicating if the current estimated wait times are accurate. If false, they are not available.waitTime: Valid only whenwaitTimeKnownis true. Integer indicating the current estimated time in minutes the user will wait in the waiting room. WhenqueueingMethodis random, this is set towaitTime50Percentile.waitTime25Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 25% of users that gain entry the fastest (25th percentile).waitTime50Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 50% of users that gain entry the fastest (50th percentile). In other words, half of the queued users are expected to let into the origin website beforewaitTime50Percentileand half are expected to be let in after it.waitTime75Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 75% of users that gain entry the fastest (75th percentile).waitTimeFormatted: String displaying thewaitTimeformatted in English for users. IfwaitTimeKnownis false,waitTimeFormattedwill display unavailable.queueIsFull: Boolean indicating if the waiting room's queue is currently full and not accepting new users at the moment.queueAll: Boolean indicating if all users will be queued in the waiting room and no one will be let into the origin website.lastUpdated: String displaying the timestamp as an ISO 8601 string of the user's last attempt to leave the waiting room and be let into the origin website. The user is able to make another attempt afterrefreshIntervalSecondspast this time. If the user makes a request too soon, it will be ignored andlastUpdatedwill not change.refreshIntervalSeconds: Integer indicating the number of seconds afterlastUpdateduntil the user is able to make another attempt to leave the waiting room and be let into the origin website. When thequeueingMethodisreject, there is no specified refresh time —_it will always be zero.queueingMethod: The queueing method currently used by the waiting room. It is either fifo, random, passthrough, or reject.isFIFOQueue: Boolean indicating if the waiting room uses a FIFO (First-In-First-Out) queue.isRandomQueue: Boolean indicating if the waiting room uses a Random queue where users gain access randomly.isPassthroughQueue: Boolean indicating if the waiting room uses a passthrough queue. Keep in mind that when passthrough is enabled, this JSON response will only exist whenqueueAllis true orisEventPrequeueingis true because in all other cases requests will go directly to the origin.isRejectQueue: Boolean indicating if the waiting room uses a reject queue.isEventActive: Boolean indicating if an event is currently occurring. Events are able to change a waiting room's behavior during a specified period of time. For additional information, look at the event propertiesprequeue_start_time,event_start_time, andevent_end_timein the documentation for creating waiting room events. Events are considered active between these start and end times, as well as during the prequeueing period if it exists.isEventPrequeueing: Valid only whenisEventActiveis true. Boolean indicating if an event is currently prequeueing users before it starts.timeUntilEventStart: Valid only whenisEventPrequeueingis true. Integer indicating the number of minutes until the event starts.timeUntilEventStartFormatted: String displaying thetimeUntilEventStartformatted in English for users. IfisEventPrequeueingis false,timeUntilEventStartFormattedwill display unavailable.timeUntilEventEnd: Valid only whenisEventActiveis true. Integer indicating the number of minutes until the event ends.timeUntilEventEndFormatted: String displaying thetimeUntilEventEndformatted in English for users. IfisEventActiveis false,timeUntilEventEndFormattedwill display unavailable.shuffleAtEventStart: Valid only whenisEventActiveis true. Boolean indicating if the users in the prequeue are shuffled randomly when the event starts.turnstile: Empty when turnstile isn't enabled. String displaying an html tag to display the Turnstile widget. Please add the{{{turnstile}}}tag to thecustom_htmltemplate to ensure the Turnstile widget appears.infiniteQueue: Boolean indicating whether the response is for a user in the infinite queue.
An example cURL to a waiting room could be:
curl -X GET "https://example.com/waitingroom" \
-H "Accept: application/json"
If json_response_enabled is true and the request hits the waiting room, an example JSON response when queueingMethod is fifo and no event is active could be:
{
"cfWaitingRoom": {
"inWaitingRoom": true,
"waitTimeKnown": true,
"waitTime": 10,
"waitTime25Percentile": 0,
"waitTime50Percentile": 0,
"waitTime75Percentile": 0,
"waitTimeFormatted": "10 minutes",
"queueIsFull": false,
"queueAll": false,
"lastUpdated": "2020-08-03T23:46:00.000Z",
"refreshIntervalSeconds": 20,
"queueingMethod": "fifo",
"isFIFOQueue": true,
"isRandomQueue": false,
"isPassthroughQueue": false,
"isRejectQueue": false,
"isEventActive": false,
"isEventPrequeueing": false,
"timeUntilEventStart": 0,
"timeUntilEventStartFormatted": "unavailable",
"timeUntilEventEnd": 0,
"timeUntilEventEndFormatted": "unavailable",
"shuffleAtEventStart": false
}
}
If json_response_enabled is true and the request hits the waiting room, an example JSON response when queueingMethod is random and an event is active could be:
{
"cfWaitingRoom": {
"inWaitingRoom": true,
"waitTimeKnown": true,
"waitTime": 10,
"waitTime25Percentile": 5,
"waitTime50Percentile": 10,
"waitTime75Percentile": 15,
"waitTimeFormatted": "5 minutes to 15 minutes",
"queueIsFull": false,
"queueAll": false,
"lastUpdated": "2020-08-03T23:46:00.000Z",
"refreshIntervalSeconds": 20,
"queueingMethod": "random",
"isFIFOQueue": false,
"isRandomQueue": true,
"isPassthroughQueue": false,
"isRejectQueue": false,
"isEventActive": true,
"isEventPrequeueing": false,
"timeUntilEventStart": 0,
"timeUntilEventStartFormatted": "unavailable",
"timeUntilEventEnd": 15,
"timeUntilEventEndFormatted": "15 minutes",
"shuffleAtEventStart": true
}
}
Body param: Sets the path within the host to enable the waiting room on. The waiting room will be enabled for all subpaths as well. If there are two waiting rooms on the same subpath, the waiting room for the most specific path will be chosen. Wildcards and query parameters are not supported.
Body param: If queue_all is true, all the traffic that is coming to a route will be sent to the waiting room. No new traffic can get to the route once this field is set and estimated time will become unavailable.
Body param: Sets the queueing method used by the waiting room. Changing this parameter from the default queueing method is only available for the Waiting Room Advanced subscription. Regardless of the queueing method, if queue_all is enabled or an event is prequeueing, users in the waiting room will not be accepted to the origin. These users will always see a waiting room page that refreshes automatically. The valid queueing methods are:
fifo(default): First-In-First-Out queue where customers gain access in the order they arrived.random: Random queue where customers gain access randomly, regardless of arrival time.passthrough: Users will pass directly through the waiting room and into the origin website. As a result, any configured limits will not be respected while this is enabled. This method can be used as an alternative to disabling a waiting room (withsuspended) so that analytics are still reported. This can be used if you wish to allow all traffic normally, but want to restrict traffic during a waiting room event, or vice versa.reject: Users will be immediately rejected from the waiting room. As a result, no users will reach the origin website while this is enabled. This can be used if you wish to reject all traffic while performing maintenance, block traffic during a specified period of time (an event), or block traffic while events are not occurring. Consider a waiting room used for vaccine distribution that only allows traffic during sign-up events, and otherwise blocks all traffic. For this case, the waiting room usesreject, and its events override this withfifo,random, orpassthrough. When this queueing method is enabled and neitherqueueAllis enabled nor an event is prequeueing, the waiting room page will not refresh automatically.
Body param: HTTP status code returned to a user while in the queue.
Body param: Lifetime of a cookie (in minutes) set by Cloudflare for users who get access to the route. If a user is not seen by Cloudflare again in that time period, they will be treated as a new user that visits the route.
Body param: Suspends or allows traffic going to the waiting room. If set to true, the traffic will not go to the waiting room.
Body param: Which action to take when a bot is detected using Turnstile. log will
have no impact on queueing behavior, simply keeping track of how many
bots are detected in Waiting Room Analytics. infinite_queue will send
bots to a false queueing state, where they will never reach your
origin. infinite_queue requires Advanced Waiting Room.
Body param: Which Turnstile widget type to use for detecting bot traffic. See
the Turnstile documentation
for the definitions of these widget types. Set to off to disable the
Turnstile integration entirely. Setting this to anything other than
off or invisible requires Advanced Waiting Room.
Only available for the Waiting Room Advanced subscription. Additional hostname and path combinations to which this waiting room will be applied. There is an implied wildcard at the end of the path. The hostname and path combination must be unique to this and all other waiting rooms.
Configures cookie attributes for the waiting room cookie. This encrypted cookie stores a user's status in the waiting room, such as queue position.
Appends a '_' + a custom suffix to the end of Cloudflare Waiting Room's cookie name(__cf_waitingroom). If cookie_suffix is "abcd", the cookie name will be __cf_waitingroom_abcd. This field is required if using additional_routes.
Only available for the Waiting Room Advanced subscription. This is a template html file that will be rendered at the edge. If no custom_page_html is provided, the default waiting room will be used. The template is based on mustache ( https://mustache.github.io/ ). There are several variables that are evaluated by the Cloudflare edge:
- {{
waitTimeKnown}} Acts like a boolean value that indicates the behavior to take when wait time is not available, for instance when queue_all is true. - {{
waitTimeFormatted}} Estimated wait time for the user. For example, five minutes. Alternatively, you can use: - {{
waitTime}} Number of minutes of estimated wait for a user. - {{
waitTimeHours}} Number of hours of estimated wait for a user (Math.floor(waitTime/60)). - {{
waitTimeHourMinutes}} Number of minutes above thewaitTimeHoursvalue (waitTime%60). - {{
queueIsFull}} Changes to true when no more people can be added to the queue.
To view the full list of variables, look at the cfWaitingRoom object described under the json_response_enabled property in other Waiting Room API calls.
The language of the default page template. If no default_template_language is provided, then en-US (English) will be used.
A note that you can use to add more details about the waiting room.
Only available for the Waiting Room Advanced subscription. Disables automatic renewal of session cookies. If true, an accepted user will have session_duration minutes to browse the site. After that, they will have to go through the waiting room again. If false, a user's session cookie will be automatically renewed on every request.
A list of enabled origin commands.
The host name to which the waiting room will be applied (no wildcards). Please do not include the scheme (http:// or https://). The host and path combination must be unique.
Only available for the Waiting Room Advanced subscription. If true, requests to the waiting room with the header Accept: application/json will receive a JSON response object with information on the user's status in the waiting room as opposed to the configured static HTML page. This JSON response object has one property cfWaitingRoom which is an object containing the following fields:
inWaitingRoom: Boolean indicating if the user is in the waiting room (always true).waitTimeKnown: Boolean indicating if the current estimated wait times are accurate. If false, they are not available.waitTime: Valid only whenwaitTimeKnownis true. Integer indicating the current estimated time in minutes the user will wait in the waiting room. WhenqueueingMethodis random, this is set towaitTime50Percentile.waitTime25Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 25% of users that gain entry the fastest (25th percentile).waitTime50Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 50% of users that gain entry the fastest (50th percentile). In other words, half of the queued users are expected to let into the origin website beforewaitTime50Percentileand half are expected to be let in after it.waitTime75Percentile: Valid only whenqueueingMethodis random andwaitTimeKnownis true. Integer indicating the current estimated maximum wait time for the 75% of users that gain entry the fastest (75th percentile).waitTimeFormatted: String displaying thewaitTimeformatted in English for users. IfwaitTimeKnownis false,waitTimeFormattedwill display unavailable.queueIsFull: Boolean indicating if the waiting room's queue is currently full and not accepting new users at the moment.queueAll: Boolean indicating if all users will be queued in the waiting room and no one will be let into the origin website.lastUpdated: String displaying the timestamp as an ISO 8601 string of the user's last attempt to leave the waiting room and be let into the origin website. The user is able to make another attempt afterrefreshIntervalSecondspast this time. If the user makes a request too soon, it will be ignored andlastUpdatedwill not change.refreshIntervalSeconds: Integer indicating the number of seconds afterlastUpdateduntil the user is able to make another attempt to leave the waiting room and be let into the origin website. When thequeueingMethodisreject, there is no specified refresh time —_it will always be zero.queueingMethod: The queueing method currently used by the waiting room. It is either fifo, random, passthrough, or reject.isFIFOQueue: Boolean indicating if the waiting room uses a FIFO (First-In-First-Out) queue.isRandomQueue: Boolean indicating if the waiting room uses a Random queue where users gain access randomly.isPassthroughQueue: Boolean indicating if the waiting room uses a passthrough queue. Keep in mind that when passthrough is enabled, this JSON response will only exist whenqueueAllis true orisEventPrequeueingis true because in all other cases requests will go directly to the origin.isRejectQueue: Boolean indicating if the waiting room uses a reject queue.isEventActive: Boolean indicating if an event is currently occurring. Events are able to change a waiting room's behavior during a specified period of time. For additional information, look at the event propertiesprequeue_start_time,event_start_time, andevent_end_timein the documentation for creating waiting room events. Events are considered active between these start and end times, as well as during the prequeueing period if it exists.isEventPrequeueing: Valid only whenisEventActiveis true. Boolean indicating if an event is currently prequeueing users before it starts.timeUntilEventStart: Valid only whenisEventPrequeueingis true. Integer indicating the number of minutes until the event starts.timeUntilEventStartFormatted: String displaying thetimeUntilEventStartformatted in English for users. IfisEventPrequeueingis false,timeUntilEventStartFormattedwill display unavailable.timeUntilEventEnd: Valid only whenisEventActiveis true. Integer indicating the number of minutes until the event ends.timeUntilEventEndFormatted: String displaying thetimeUntilEventEndformatted in English for users. IfisEventActiveis false,timeUntilEventEndFormattedwill display unavailable.shuffleAtEventStart: Valid only whenisEventActiveis true. Boolean indicating if the users in the prequeue are shuffled randomly when the event starts.turnstile: Empty when turnstile isn't enabled. String displaying an html tag to display the Turnstile widget. Please add the{{{turnstile}}}tag to thecustom_htmltemplate to ensure the Turnstile widget appears.infiniteQueue: Boolean indicating whether the response is for a user in the infinite queue.
An example cURL to a waiting room could be:
curl -X GET "https://example.com/waitingroom" \
-H "Accept: application/json"
If json_response_enabled is true and the request hits the waiting room, an example JSON response when queueingMethod is fifo and no event is active could be:
{
"cfWaitingRoom": {
"inWaitingRoom": true,
"waitTimeKnown": true,
"waitTime": 10,
"waitTime25Percentile": 0,
"waitTime50Percentile": 0,
"waitTime75Percentile": 0,
"waitTimeFormatted": "10 minutes",
"queueIsFull": false,
"queueAll": false,
"lastUpdated": "2020-08-03T23:46:00.000Z",
"refreshIntervalSeconds": 20,
"queueingMethod": "fifo",
"isFIFOQueue": true,
"isRandomQueue": false,
"isPassthroughQueue": false,
"isRejectQueue": false,
"isEventActive": false,
"isEventPrequeueing": false,
"timeUntilEventStart": 0,
"timeUntilEventStartFormatted": "unavailable",
"timeUntilEventEnd": 0,
"timeUntilEventEndFormatted": "unavailable",
"shuffleAtEventStart": false
}
}
If json_response_enabled is true and the request hits the waiting room, an example JSON response when queueingMethod is random and an event is active could be:
{
"cfWaitingRoom": {
"inWaitingRoom": true,
"waitTimeKnown": true,
"waitTime": 10,
"waitTime25Percentile": 5,
"waitTime50Percentile": 10,
"waitTime75Percentile": 15,
"waitTimeFormatted": "5 minutes to 15 minutes",
"queueIsFull": false,
"queueAll": false,
"lastUpdated": "2020-08-03T23:46:00.000Z",
"refreshIntervalSeconds": 20,
"queueingMethod": "random",
"isFIFOQueue": false,
"isRandomQueue": true,
"isPassthroughQueue": false,
"isRejectQueue": false,
"isEventActive": true,
"isEventPrequeueing": false,
"timeUntilEventStart": 0,
"timeUntilEventStartFormatted": "unavailable",
"timeUntilEventEnd": 15,
"timeUntilEventEndFormatted": "15 minutes",
"shuffleAtEventStart": true
}
}
A unique name to identify the waiting room. Only alphanumeric characters, hyphens and underscores are allowed.
Sets the number of new users that will be let into the route every minute. This value is used as baseline for the number of users that are let in per minute. So it is possible that there is a little more or little less traffic coming to the route based on the traffic patterns at that time around the world.
An ISO 8601 timestamp that marks when the next event will begin queueing.
An ISO 8601 timestamp that marks when the next event will start.
Sets the path within the host to enable the waiting room on. The waiting room will be enabled for all subpaths as well. If there are two waiting rooms on the same subpath, the waiting room for the most specific path will be chosen. Wildcards and query parameters are not supported.
If queue_all is true, all the traffic that is coming to a route will be sent to the waiting room. No new traffic can get to the route once this field is set and estimated time will become unavailable.
Sets the queueing method used by the waiting room. Changing this parameter from the default queueing method is only available for the Waiting Room Advanced subscription. Regardless of the queueing method, if queue_all is enabled or an event is prequeueing, users in the waiting room will not be accepted to the origin. These users will always see a waiting room page that refreshes automatically. The valid queueing methods are:
fifo(default): First-In-First-Out queue where customers gain access in the order they arrived.random: Random queue where customers gain access randomly, regardless of arrival time.passthrough: Users will pass directly through the waiting room and into the origin website. As a result, any configured limits will not be respected while this is enabled. This method can be used as an alternative to disabling a waiting room (withsuspended) so that analytics are still reported. This can be used if you wish to allow all traffic normally, but want to restrict traffic during a waiting room event, or vice versa.reject: Users will be immediately rejected from the waiting room. As a result, no users will reach the origin website while this is enabled. This can be used if you wish to reject all traffic while performing maintenance, block traffic during a specified period of time (an event), or block traffic while events are not occurring. Consider a waiting room used for vaccine distribution that only allows traffic during sign-up events, and otherwise blocks all traffic. For this case, the waiting room usesreject, and its events override this withfifo,random, orpassthrough. When this queueing method is enabled and neitherqueueAllis enabled nor an event is prequeueing, the waiting room page will not refresh automatically.
HTTP status code returned to a user while in the queue.
Lifetime of a cookie (in minutes) set by Cloudflare for users who get access to the route. If a user is not seen by Cloudflare again in that time period, they will be treated as a new user that visits the route.
Suspends or allows traffic going to the waiting room. If set to true, the traffic will not go to the waiting room.
Sets the total number of active user sessions on the route at a point in time. A route is a combination of host and path on which a waiting room is available. This value is used as a baseline for the total number of active user sessions on the route. It is possible to have a situation where there are more or less active users sessions on the route based on the traffic patterns at that time around the world.
Which action to take when a bot is detected using Turnstile. log will
have no impact on queueing behavior, simply keeping track of how many
bots are detected in Waiting Room Analytics. infinite_queue will send
bots to a false queueing state, where they will never reach your
origin. infinite_queue requires Advanced Waiting Room.
Which Turnstile widget type to use for detecting bot traffic. See
the Turnstile documentation
for the definitions of these widget types. Set to off to disable the
Turnstile integration entirely. Setting this to anything other than
off or invisible requires Advanced Waiting Room.
Patches a configured waiting room.
Deletes a waiting room.
Domain types
Configures cookie attributes for the waiting room cookie. This encrypted cookie stores a user's status in the waiting room, such as queue position.
Events
WaitingRooms.Events
Methods
Lists events for a waiting room.
Fetches a single configured event for a waiting room.
Only available for the Waiting Room Advanced subscription. Creates an event for a waiting room. An event takes place during a specified period of time, temporarily changing the behavior of a waiting room. While the event is active, some of the properties in the event's configuration may either override or inherit from the waiting room's configuration. Note that events cannot overlap with each other, so only one event can be active at a time.
Updates a configured event for a waiting room.
Patches a configured event for a waiting room.
Deletes an event for a waiting room.
Domain types
WaitingRooms.Events.Details
Methods
Previews an event's configuration as if it was active. Inherited fields from the waiting room will be displayed with their current values.
Domain types
Page
WaitingRooms.Page
Methods
Creates a waiting room page preview. Upload a custom waiting room page for preview. You will receive a preview URL in the form http://waitingrooms.dev/preview/<uuid>. You can use the following query parameters to change the state of the preview:
force_queue: Boolean indicating if all users will be queued in the waiting room and no one will be let into the origin website (also known as queueAll).queue_is_full: Boolean indicating if the waiting room's queue is currently full and not accepting new users at the moment.queueing_method: The queueing method currently used by the waiting room.- fifo indicates a FIFO queue.
- random indicates a Random queue.
- passthrough indicates a Passthrough queue. Keep in mind that the waiting room page will only be displayed if
force_queue=trueorevent=prequeueing— for other cases the request will pass through to the origin. For our preview, this will be a fake origin website returning "Welcome". - reject indicates a Reject queue.
event: Used to preview a waiting room event.- none indicates no event is occurring.
- prequeueing indicates that an event is prequeueing (between
prequeue_start_timeandevent_start_time). - started indicates that an event has started (between
event_start_timeandevent_end_time).
shuffle_at_event_start: Boolean indicating if the event will shuffle users in the prequeue when it starts. This can only be set to true if an event is active (eventis not none).
For example, you can make a request to http://waitingrooms.dev/preview/<uuid>?force_queue=false&queue_is_full=false&queueing_method=random&event=started&shuffle_at_event_start=true
6. waitTime: Non-zero, positive integer indicating the estimated wait time in minutes. The default value is 10 minutes.
For example, you can make a request to http://waitingrooms.dev/preview/<uuid>?waitTime=50 to configure the estimated wait time as 50 minutes.
Rules
WaitingRooms.Rules
Methods
Lists rules for a waiting room.
Only available for the Waiting Room Advanced subscription. Creates a rule for a waiting room.
Only available for the Waiting Room Advanced subscription. Replaces all rules for a waiting room.
Patches a rule for a waiting room.
Deletes a rule for a waiting room.
Domain types
Settings
WaitingRooms.Settings
Methods
Get zone-level Waiting Room settings
Update zone-level Waiting Room settings
Patch zone-level Waiting Room settings
Domain types
Statuses
WaitingRooms.Statuses
Methods
Fetches the status of a configured waiting room. Response fields include:
status: String indicating the status of the waiting room. The possible status are:- not_queueing indicates that the configured thresholds have not been met and all users are going through to the origin.
- queueing indicates that the thresholds have been met and some users are held in the waiting room.
- event_prequeueing indicates that an event is active and is currently prequeueing users before it starts.
- suspended indicates that the room is suspended.
event_id: String of the current event'sidif an event is active, otherwise an empty string.estimated_queued_users: Integer of the estimated number of users currently waiting in the queue.estimated_total_active_users: Integer of the estimated number of users currently active on the origin.max_estimated_time_minutes: Integer of the maximum estimated time currently presented to the users.